#!/bin/bash

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

ROOT_DIR=$(dirname $(dirname $SCRIPT_DIR))

echo "Building dropshell from $ROOT_DIR"

docker build -t dropshell_alpine_builder $ROOT_DIR -f $SCRIPT_DIR/Dockerfile.build

rm -rf $SCRIPT_DIR/output
mkdir -p $SCRIPT_DIR/output

MYUID=$(id -u)  
MYGID=$(id -g)

docker run -it --env CHOWN_USER=$MYUID --env CHOWN_GROUP=$MYGID -v $SCRIPT_DIR/output:/output dropshell_alpine_builder 

echo "dropshell built in $SCRIPT_DIR/output/dropshell"

docker build -t gitea.jde.nz/j/dropshell_alpine:latest -t dropshell_alpine $ROOT_DIR -f $SCRIPT_DIR/Dockerfile.run

docker run -it dropshell_alpine version
