#!/bin/bash

# STATUS SCRIPT
# The status script is OPTIONAL.
# It is used to return the status of the service (0 is healthy, 1 is unhealthy).
# It is called with the path to the server specific env file as an argument.


# This is an example of a status script that checks if the service is running.
source "$(dirname "$0")/_common.sh"
check_required_env_vars "CONTAINER_NAME"

# check if the service is running
_is_container_running $CONTAINER_NAME || die "Service is not running - did not find container $CONTAINER_NAME."

# check if the service is healthy
# curl -s -X GET http://localhost:${HOST_PORT}/health | grep -q "OK" \
#     || die "Service is not healthy - did not get OK response from /health endpoint."

echo "Service is healthy"
exit 0
